///////////////////////////////////////////////////////////////////////////////////////
//NAME:     Internal_memory_code.asm
//DATE:     6/27/2006
//AUTHOR:   RVC
//PURPOSE:  Test execution of Instruction from external 16-bit external memory SDRAM
//          on ADSP-21375 QFP BUB
////////////////////////////////////////////////////////////////////////////////////////

#include <def21375.h>

// The following definition allows the SRU macro to check for errors. Once the routings have
// been verified, this definition can be removed to save some program memory space.
// The preprocessor will issue a warning stating this when using the SRU macro without this
// definition
#define SRUDEBUG  // Check SRU Routings for errors.
#include "sru21375.h"

.global _main;


.extern _initPLL;
.extern _initSDRAM;


.section/dm seg_dmrd;
.var LED06_value=0;
.var LED07_value=0;
//uncomment following line only if using complex blink function
//.var store_external_code[321]="new_32bit_external_blink_code_without_timers.dat";
//uncomment following line only if using test that "inits internal buffer from external SDRAM"
//.var store_external_code[26]="fill_buffer.dat";
// uncomment following line if using the simple blink LED with manually edited relative jumps
.var store_external_code[243]="simple_32bit_external_blink_code_without_timers.dat";
.section/pm seg_pmco;

_main:

	call _initPLL;        //Initialize PLL for the correct core clock (CCLK) frequency
	call _initSDRAM;      // Setup SDRAM

// load code into external memory

i0 = store_external_code; 
l0 = 0;
i1 = 0x300000;
l1 = 0;
m1 = 1;



lcntr = 243 , do load_code until lce;
r0 = dm(i0,m1);
dm(i1,m1) = r0;
load_code: nop;

		
i8 = 0x200000;   //jump to external memory and begin execution
m8 = 0;
jump(m8,i8);


// code should never reach "here" if everything runs correctly
nop;
idle;
jump (pc,0);		
		
_main.end:
